ApplicationInventoryPortalAction (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.application.inventory.ApplicationInventoryPortalAction class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.application.inventory
Class ApplicationInventoryPortalAction

    java.lang.Object
      org.apache.struts.action.Action
          org.apache.struts.actions.BaseAction
              org.apache.struts.actions.DispatchAction
                  org.hyperic.hq.ui.action.BaseDispatchAction
                      org.hyperic.hq.ui.action.resource.ResourceController
                          org.hyperic.hq.ui.action.resource.common.inventory.ResourceInventoryPortalAction
                              org.hyperic.hq.ui.action.resource.application.inventory.ApplicationInventoryPortalAction

    public class ApplicationInventoryPortalAction

extends ResourceInventoryPortalAction

The portal manager class for the tiles in handled in this package.

Field Summary
`static java.lang.String` | `EMPTY_VALS_ATTR`
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.apache.struts.actions.DispatchAction
`clazz, methods, types`

Fields inherited from class org.apache.struts.actions.BaseAction
`messages`

Fields inherited from class org.apache.struts.action.Action
`servlet`

Constructor Summary
`ApplicationInventoryPortalAction()`

Method Summary
`org.apache.struts.action.ActionForward` | `addApplicationGroups(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`org.apache.struts.action.ActionForward` | `addApplicationServices(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`org.apache.struts.action.ActionForward` | `addDependencies(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`org.apache.struts.action.ActionForward` | `changeOwner(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`org.apache.struts.action.ActionForward` | `editApplicationProperties(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`org.apache.struts.action.ActionForward` | `editGeneralProperties(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected java.util.Properties` | `getKeyMethodMap()` Provides the mapping from resource key to method name
`org.apache.struts.action.ActionForward` | `listServiceDependencies(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`org.apache.struts.action.ActionForward` | `newResource(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`org.apache.struts.action.ActionForward` | `viewResource(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class org.hyperic.hq.ui.action.resource.common.inventory.ResourceInventoryPortalAction
`editConfig`

Methods inherited from class org.hyperic.hq.ui.action.resource.ResourceController
`fetchReturnPathParams, setNavMapLocation, setResource, setResource, setResource, setReturnPath, setReturnPath`

Methods inherited from class org.hyperic.hq.ui.action.BaseDispatchAction
`execute`

Methods inherited from class org.apache.struts.actions.DispatchAction
`cancelled, dispatchMethod, getMethod, getMethodName, getParameter, unspecified`

Methods inherited from class org.apache.struts.action.Action
`addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_VALS_ATTR

    public static final java.lang.String EMPTY_VALS_ATTR

See Also:
  Constant Field Values

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### ApplicationInventoryPortalAction

    public ApplicationInventoryPortalAction()

Method Detail

### getKeyMethodMap

    protected java.util.Properties getKeyMethodMap()

  Description copied from class: `BaseDispatchAction`
  Provides the mapping from resource key to method name

  Overrides:
    `getKeyMethodMap` in class `BaseDispatchAction`
  Returns:
    Resource key / method name map

### newResource

    public org.apache.struts.action.ActionForward newResource(org.apache.struts.action.ActionMapping mapping,
                                                              org.apache.struts.action.ActionForm form,
                                                              javax.servlet.http.HttpServletRequest request,
                                                              javax.servlet.http.HttpServletResponse response)
                                                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### viewResource

    public org.apache.struts.action.ActionForward viewResource(org.apache.struts.action.ActionMapping mapping,
                                                               org.apache.struts.action.ActionForm form,
                                                               javax.servlet.http.HttpServletRequest request,
                                                               javax.servlet.http.HttpServletResponse response)
                                                        throws java.lang.Exception

  Overrides:
    `viewResource` in class `ResourceInventoryPortalAction`
  Throws:
    `java.lang.Exception`

### editGeneralProperties

    public org.apache.struts.action.ActionForward editGeneralProperties(org.apache.struts.action.ActionMapping mapping,
                                                                        org.apache.struts.action.ActionForm form,
                                                                        javax.servlet.http.HttpServletRequest request,
                                                                        javax.servlet.http.HttpServletResponse response)
                                                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### editApplicationProperties

    public org.apache.struts.action.ActionForward editApplicationProperties(org.apache.struts.action.ActionMapping mapping,
                                                                            org.apache.struts.action.ActionForm form,
                                                                            javax.servlet.http.HttpServletRequest request,
                                                                            javax.servlet.http.HttpServletResponse response)
                                                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### changeOwner

    public org.apache.struts.action.ActionForward changeOwner(org.apache.struts.action.ActionMapping mapping,
                                                              org.apache.struts.action.ActionForm form,
                                                              javax.servlet.http.HttpServletRequest request,
                                                              javax.servlet.http.HttpServletResponse response)
                                                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### addApplicationGroups

    public org.apache.struts.action.ActionForward addApplicationGroups(org.apache.struts.action.ActionMapping mapping,
                                                                       org.apache.struts.action.ActionForm form,
                                                                       javax.servlet.http.HttpServletRequest request,
                                                                       javax.servlet.http.HttpServletResponse response)
                                                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### addApplicationServices

    public org.apache.struts.action.ActionForward addApplicationServices(org.apache.struts.action.ActionMapping mapping,
                                                                         org.apache.struts.action.ActionForm form,
                                                                         javax.servlet.http.HttpServletRequest request,
                                                                         javax.servlet.http.HttpServletResponse response)
                                                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### listServiceDependencies

    public org.apache.struts.action.ActionForward listServiceDependencies(org.apache.struts.action.ActionMapping mapping,
                                                                          org.apache.struts.action.ActionForm form,
                                                                          javax.servlet.http.HttpServletRequest request,
                                                                          javax.servlet.http.HttpServletResponse response)
                                                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### addDependencies

    public org.apache.struts.action.ActionForward addDependencies(org.apache.struts.action.ActionMapping mapping,
                                                                  org.apache.struts.action.ActionForm form,
                                                                  javax.servlet.http.HttpServletRequest request,
                                                                  javax.servlet.http.HttpServletResponse response)
                                                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.